Loading...
Searching...
No Matches
ForceFields::MMFF::MMFFPropCollection Class Reference

`#include <Params.h>`

## Public Member Functions

const MMFFProp * | operator() (const unsigned int atomType) const
| Looks up the parameters for a particular key and returns them.
| MMFFPropCollection (std::string mmffProp="")

## Public Attributes

std::vector< MMFFProp > | d_params
std::vector< std::uint8_t > | d_iAtomType
| the parameter vector

## Detailed Description

Definition at line 191 of file MMFF/Params.h.

## Constructor & Destructor Documentation

## MMFFPropCollection()

ForceFields::MMFF::MMFFPropCollection::MMFFPropCollection | ( | std::string | mmffProp = "" | ) |

References d_params.

## Member Function Documentation

## operator()()

const MMFFProp * ForceFields::MMFF::MMFFPropCollection::operator() | ( | const unsigned int | atomType | ) | const

inline

Looks up the parameters for a particular key and returns them.

Returns
  a pointer to the MMFFProp object, NULL on failure.

Definition at line 197 of file MMFF/Params.h.

References d_iAtomType, and d_params.

## Member Data Documentation

## d_iAtomType

std::vector<std::uint8_t> ForceFields::MMFF::MMFFPropCollection::d_iAtomType

the parameter vector

Definition at line 215 of file MMFF/Params.h.

Referenced by operator()().

## d_params

std::vector<MMFFProp> ForceFields::MMFF::MMFFPropCollection::d_params

Definition at line 214 of file MMFF/Params.h.

Referenced by MMFFPropCollection(), and operator()().

The documentation for this class was generated from the following file:

- MMFF/Params.h